
Foreman - Bug #14554

Slow ldap login

04/08/2016 03:31 PM - george lim

Status: Need more information   

Priority: Normal   

Assignee:    

Category: Authentication   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When "usergroup sync" checkbox is checked in ldap, AD login is extremely slow (2-5mins) . When the checkbox is unchecked, the

login is fast (takes 2s-5s).

History

#1 - 04/09/2016 10:18 AM - Eric Helms

- Project changed from Katello to Foreman

- Subject changed from [Katello 2.4] Slow ldap login to Slow ldap login

- Category set to Authentication

#2 - 04/11/2016 03:15 AM - Dominic Cleal

- Status changed from New to Need more information

Please enable LDAP logging to see what queries it's making (http://theforeman.org/manuals/1.10/index.html#7.2Debugging), and update to Foreman

1.11 to try some of the AD recursion fixes that are in that release.

#3 - 07/19/2016 10:30 AM - Jose Antonio Insua

I observe the same slowdown in 1.12.0, although 1.11.3 was faster.

I've solved it disabling the usergroup sync in the meanwhile.

#4 - 05/17/2017 03:39 PM - Anonymous

George, Jose, any news or more information here?
